@rem  Licensed Materials - Property of IBM
@rem  5724-M24
@rem  (C) Copyright IBM Corporation 2008. All Rights Reserved.
@rem  US Government Users Restricted Rights- Use, duplication or disclosure
@rem  restricted by GSA ADP Schedule Contract with IBM Corp.

@echo off
setlocal

@rem change cmd locale to english
chcp 437

@rem set variables
set CURRENT_DIR=%cd%
set SCRIPT_DIR=%~dp0%
@rem set CURRENT_DIR=%CURRENT_DIR:Program Files=Progra~1%
echo.%CURRENT_DIR%

set Program Files=%Program Files:Program Files=Progra~1%
echo.%Program Files%

cd /d %SCRIPT_DIR%

@rem set SCRIPT_DIR=%SCRIPT_DIR:Program Files=Progra~1%
echo.%SCRIPT_DIR%

@rem get user input parameters
set   WPS_HOME=%1

set WPS_HOME=%WPS_HOME:Program Files=Progra~1%
echo.%WPS_HOME%
if "%WPS_HOME%" == "" goto USAGE
set   HOSTNAME=%2
if "%HOSTNAME%" == "" goto USAGE
set   SOAPPORT=%3
if "%SOAPPORT%" == "" goto USAGE
set   HOSTPORT=%4
if "%HOSTPORT%" == "" goto USAGE
set   user=%5
if "%user%" == "" goto USAGE
set   password=%6
if "%password%" == "" goto USAGE

set profileName=%7
set profileName=%profileName:Program Files=Progra~1%
echo.%profileName%
if "%profileName%" == goto USAGE

set  cellName=%8
set cellName=%cellName:Program Files=Progra~1%
echo.%cellName%
if "%cellName%" == goto USAGE

set profilePath=%9
set profilePath=%profilePath:Program Files=Progra~1%
echo.%profilePath%
if "%profilePath%" == goto USAGE
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
set  nodeName=%1
set nodeName=%nodeName:Program Files=Progra~1%
echo.%nodeName%
if "%nodeName%" == "" goto USAGE

@rem start Banking Monitor Model installation
@echo ************************************************
@echo             Install Banking Reference Impl APP
@echo ************************************************
@echo Installing Banking Monitor Model ...

@rem installing banking business space theme
@echo Installing banking business space theme...
cd /d "%profilePath%/installedApps/%cellName%/BSpaceEAR_%nodeName%_server1.ear/BSpace.war/login"

cd\
cd /d %SCRIPT_DIR%
cd ../bspace/theme/wicp-banking
copy "./login.css" "%profilePath%/installedApps/%cellName%/BSpaceEAR_%nodeName%_server1.ear/BSpace.war/login/ext/login.css" /Y
@rem copy "./BetterIndustriesTheme.css" "%profilePath%/installedApps/%cellName%/BSpaceEAR_%nodeName%_server1.ear/BSpace.war/themes/bspaceTheme/BetterIndustriesTheme.css" /Y
copy "./BetterBankingTheme.js" "%profilePath%/installedApps/%cellName%/BSpaceEAR_%nodeName%_server1.ear/BSpace.war/iWidget/com/ibm/bspace/widgets/system/styleSelection/data/BetterBankingTheme.js" /Y
copy "./login-BetterBanking-page-bg.jpg" "%profilePath%/installedApps/%cellName%/BSpaceEAR_%nodeName%_server1.ear/BSpace.war/login/images" /Y
copy "./login-BetterBanking-bg.png" "%profilePath%/installedApps/%cellName%/BSpaceEAR_%nodeName%_server1.ear/BSpace.war/login/images" /Y
mkdir "%profilePath%/installedApps/%cellName%/BSpaceEAR_%nodeName%_server1.ear/BSpace.war/iWidget/com/ibm/bspace/widgets/system/styleSelection/data/BetterBankingTheme"
SET COPYCMD=/Y
xcopy "./BetterBankingTheme" "%profilePath%/installedApps/%cellName%/BSpaceEAR_%nodeName%_server1.ear/BSpace.war/iWidget/com/ibm/bspace/widgets/system/styleSelection/data/BetterBankingTheme" /S /Y
@rem cd ..
@rem cd ..
@rem cd spacedata
@rem copy "corporate-payments-space-data.zip" "%profilePath%/BusinessSpace/%nodeName%/server1/mm.runtime.prof/spaces" /Y
@rem copy "corporate-payments-space-data.zip" "../../scripts" /Y
cd /d %SCRIPT_DIR%
@echo Installing Banking business space theme done..

echo Copying the library files..
copy ..\wps\runtime\shared-libraries\. %WPS_HOME%\lib\ext /Y
mkdir "%profilePath%/banking-shared-libraries"
copy ..\wps\runtime\shared-libraries\. "%profilePath%\banking-shared-libraries" /Y

@rem Start creating WebSphere variable, shared library and configuring classloader
@echo ************************************************
@echo		  
@echo             Configure WebSphere variable
@echo             Configure Shared Library
@echo             Configure Classloader
@echo 
@echo ************************************************
call %WPS_HOME%\bin\wsadmin -conntype SOAP -host %HOSTNAME% -port %SOAPPORT% -user %user% -password %password% -wsadmin_classpath %WPS_HOME%\plugins\com.ibm.wbimonitor.lifecycle.spi.jar -f wbVariable.py -nodeName %nodeName% -cellName %cellName% -tracefile ./logs/banking_install_BankingEars.trace -appendtrace true
@echo

@rem monitor alert section
echo Shutting down the server for the config of Banking monitor alerts..
call %profilePath%\bin\stopServer.bat server1 -username %user% -password %password%
@rem calling the monitor alert configuration
call callReplace.bat %WPS_HOME% %profilePath%
echo Banking monitor alerts configuration is done. Starting the server now..
call %profilePath%\bin\startServer.bat server1
@rem end monitor section

@rem install install banking ref impl
call %WPS_HOME%\bin\wsadmin -conntype SOAP -host %HOSTNAME% -port %SOAPPORT% -user %user% -password %password% -wsadmin_classpath %WPS_HOME%\plugins\com.ibm.wbimonitor.lifecycle.spi.jar -f installBankingEars.py  -nodeName %nodeName% -cellName %cellName% -tracefile ./logs/banking_install_BankingEars.trace -appendtrace true
@echo.
@echo.
cd /d %SCRIPT_DIR%
@rem calling log status checker
call %WPS_HOME%\java\bin\java -jar ../../../lib/com.ibm.wicp.install.error.util.jar install ./logs/banking_install.log ./logs/banking_install_BankingEars.trace
@echo.
@echo.

goto QUITNOW
@rem if  "%ERRORLEVEL%" NEQ "0" goto MONITORMODELSTARTINFO

@rem import business space

@rem REM go one step higher
@rem cd ..
@rem set DATA_DIR=%cd%
@rem cd %CURRENT_DIR%
@rem call %WPS_HOME%\scripts.wbm\BSImport\importBSpace.bat -h %HOSTNAME% -p %HOSTPORT% -f "%DATA_DIR%/bspace/spacedata/corporate-payments-space-data" -u %user% -s %password% -w %WPS_HOME%
@rem call %profilePath%\bin\wsadmin.bat -user %user% -password %password% -lang jython -f installBusinessSpace.py %profilePath% ../bspace/spacedata/corporate-payments-space-data.zip
@rem call %profilePath%\bin\stopServer.bat server1 -user %user% -password %password%
@rem call %profilePath%\bin\startServer.bat server1



@rem if  "%ERRORLEVEL%" NEQ "0" goto MONITORMODELSTARTINFO

@rem echo ************************************************
@rem echo             INSTALLATION SUCCESSFUL.
@rem echo ************************************************
@rem goto QUITNOW

@rem :REPORTERROR
@rem echo INSTALLATION FAILURE: ERROR CODE=%ERRORLEVEL%: The installation of the Banking Monitor Model failed.
@rem echo ************************************************
@rem echo             INSTALLATION FAILED.
@rem echo ************************************************
@rem goto QUITNOW

@rem :MONITORMODELSTARTINFO
@rem echo *********************************************************************************************
@rem echo *********************************************************************************************
@rem echo INSTALLATION SUCCESSFUL.(Please ensure that all the Applications within WPS Administration console are in started state.)
@rem echo *********************************************************************************************
@rem echo *********************************************************************************************
@rem goto QUITNOW

:USAGE
@echo USAGE: install [WPS_HOME] [HOSTNAME] [SOAPPORT] [HOSTPORT] [user] [password] [profileName] [cellName] [profilePath] [nodeName] >CON
@echo EXAMPLE: install "C:\ProcServer62" localhost 8880 9080 admin password WBSFabric01 BaskarVMNode03Cell "C:\ProcServer62\profiles\WBSFabric01" BaskarVMNode03 >CON

:QUITNOW
cd %CURRENT_DIR%
@echo on