#***********************************************************************
# Licensed Material - Property of IBM
#
# 
#
# (c) Copyright IBM Corp. 2009.  All rights reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#************************************************************************
##################################################################
#
# Uninstalls Banking ICP ears, deletes Users and Groups.
#
# #######################################################################
import sys
import java
#########################################################################
# Load properties from file
#########################################################################
print
print "Reading configuration properties ..."
from java.util import Properties
from java.io import FileInputStream
from java.io import FileOutputStream
from java.io import OutputStreamWriter
from java.lang import System
from java.lang import Boolean
from java.lang import Integer
from java.lang import String
from com.ibm.wbimonitor.lifecycle.spi.mbeans import RESTSecurityAdminMBeanFactory

propFile = "config.properties"
fis = FileInputStream(propFile)
prop = Properties()
prop.load(fis)
print prop
#########################################################################
# Get Monitor Model and ear properties
#########################################################################
print
print "Loading Monitor Model configurations ..."
mmAppName = prop.getProperty('mmAppName')
mmEarFileName = prop.getProperty('mmEarFileName')

refEarAppNameRefinancing_Processes = prop.getProperty('refEarAppNameRefinancing_Processes')
refEarFileNameRefinancing_Processes = prop.getProperty('refEarFileNameRefinancing_Processes')

refEarAppNameRefinancing_Mock_Services = prop.getProperty('refEarAppNameRefinancing_Mock_Services')
refEarFileNameRefinancing_Mock_Services = prop.getProperty('refEarFileNameRefinancing_Mock_Services')
#########################################################################
print "Monitor Model and ear properties loaded."
#########################################################################
# Get User and Group properties
#########################################################################
print
print "Loading User and Group configurations ..."
groupNameAdamAgent = prop.getProperty('groupNameAdamAgent')
groupNameJayLoanOfficer = prop.getProperty('groupNameJayLoanOfficer')
groupNamePeterSusanUnderWriter = prop.getProperty('groupNamePeterSusanUnderWriter')
groupNameJamesJoeyCustomer = prop.getProperty('groupNameJamesJoeyCustomer')

userName01AdamAgent = prop.getProperty('userName01AdamAgent')
userName02JayLoanOfficer = prop.getProperty('userName02JayLoanOfficer')
surName01Smith = prop.getProperty('surName01Smith')
surName02Walk = prop.getProperty('surName02Walk')
userName03PeterUnderWriter = prop.getProperty('userName03PeterUnderWriter')
surName03Henderson = prop.getProperty('surName03Henderson')
userName04SusanUnderWriter = prop.getProperty('userName04SusanUnderWriter')
surName04Thomas = prop.getProperty('surName04Thomas')
userName05JamesCustomer = prop.getProperty('userName05JamesCustomer')
surName05Adams = prop.getProperty('surName05Adams')
userName06JoeyCustomer = prop.getProperty('userName06JoeyCustomer')
surName06Zack = prop.getProperty('surName06Zack')
#########################################################################
# Get connected cell/node/server name
#########################################################################
print
print "Reading server configuration ..."
cell = AdminControl.getCell();
print cell
node = AdminControl.getNode();
print node
wsadminServer =AdminControl.queryNames("node=" + node + ",type=Server,*" )
server = AdminControl.getAttribute(wsadminServer, "name" )
print server
#######################################################################
#
#
#########################################################################
# Get CEI configuration options
#########################################################################
print
print "Loading CEI configurations ..."

serverLocation = prop.getProperty('serverLocation')
hostName = prop.getProperty('hostName')
rmiPort = prop.getProperty('rmiPort')
soapPort = prop.getProperty('soapPort')
securityMode = prop.getProperty('securityMode')
userid = prop.getProperty('userid')
password = prop.getProperty('password')
eventGroup = prop.getProperty('eventGroup')
cellName = prop.getProperty('cellName')
nodeName = prop.getProperty('nodeName')
serverName = prop.getProperty('serverName')
clusterName = prop.getProperty('clusterName')
distributionMode = prop.getProperty('distributionMode')

#######################################################################
# Def - Uninstalling the Existing Application
#######################################################################

def unInstallApplications(appList):
    installedApps = AdminApp.list().splitlines()
    try:
        for app in appList:
            if(app in installedApps):
                print "Uninstalling "+ app
                AdminApp.uninstall(app)
		AdminConfig.save()
    except:
        print "Exception:Error while uninstalling "+ app
        sys.stderr.write("Exception:Error while uninstalling "+ app)
        raise
AdminConfig.save()
print "The order is: "     
fabricApplicationList = [mmAppName]
print "The List of uninstallable: " + str(fabricApplicationList)
unInstallApplications(fabricApplicationList)
#########################################################################
# Deleting users, groups and their mapping
#########################################################################
print
print "Deleting users, groups and their mapping ..."
try :
	attrName1 = ["-uid",userName03PeterUnderWriter]
	if(len(AdminTask.searchUsers(attrName1)) > 1):
	    print "Deleting user " + userName03PeterUnderWriter + " with group"
	    userStr1 =  AdminTask.searchUsers(attrName1)
	    attrGrp = ["-cn",groupNamePeterSusanUnderWriter]
	    groupStr = AdminTask.searchGroups(attrGrp)
	    appOptions = ["-memberUniqueName", userStr1,"-groupUniqueName",groupStr ]
	    AdminTask.removeMemberFromGroup(appOptions)
	    print "Removed member "  +  userName03PeterUnderWriter + " from group"
	    appOptions = ["-uniqueName", userStr1]
	    AdminTask.deleteUser(appOptions)
	    print "Deleted user " +  userName03PeterUnderWriter
	    
	else :
	    print "User " + userName03PeterUnderWriter + " does not exist" 

	attrName2 = ["-uid",userName04SusanUnderWriter]
	if(len(AdminTask.searchUsers(attrName2)) > 1):
	    print "Deleting user with group " +  userName04SusanUnderWriter
	    userStr2 =  AdminTask.searchUsers(attrName2)
	    attrGrp = ["-cn",groupNamePeterSusanUnderWriter]
	    groupStr = AdminTask.searchGroups(attrGrp)
	    appOptions = ["-memberUniqueName", userStr2,"-groupUniqueName",groupStr ]
	    AdminTask.removeMemberFromGroup(appOptions)
	    print "Removed member from group " +  userName04SusanUnderWriter
	    appOptions = ["-uniqueName", userStr2]
	    AdminTask.deleteUser(appOptions)
	    print "Deleted user " +  userName04SusanUnderWriter
	    groupStr = AdminTask.searchGroups(attrGrp)
	    appOptions = ["-uniqueName",groupStr ]
	    AdminTask.deleteGroup(appOptions)
	    print "Deleted group " +  groupNamePeterSusanUnderWriter
	else :
	    print "User " + userName04SusanUnderWriter + " does not exist"

	attrName3 = ["-uid",userName05JamesCustomer]
	if(len(AdminTask.searchUsers(attrName3)) > 1):
	    print "Deleting user with group " +  userName05JamesCustomer
	    userStr3 =  AdminTask.searchUsers(attrName3)
	    attrGrp = ["-cn",groupNameJamesJoeyCustomer]
	    groupStr = AdminTask.searchGroups(attrGrp)
	    appOptions = ["-memberUniqueName", userStr3,"-groupUniqueName",groupStr ]
	    AdminTask.removeMemberFromGroup(appOptions)
	    print "Removed member "  +  userName05JamesCustomer + " from group"
	    appOptions = ["-uniqueName", userStr3]
	    AdminTask.deleteUser(appOptions)
	    print "Deleted user " +  userName05JamesCustomer
	    
	else :
	    print "User " + userName05JamesCustomer + " does not exist" 

	attrName4 = ["-uid",userName06JoeyCustomer]
	if(len(AdminTask.searchUsers(attrName4)) > 1):
	    print "Deleting user with group " +  userName06JoeyCustomer
	    userStr4 =  AdminTask.searchUsers(attrName4)
	    attrGrp = ["-cn",groupNameJamesJoeyCustomer]
	    groupStr = AdminTask.searchGroups(attrGrp)
	    appOptions = ["-memberUniqueName", userStr4,"-groupUniqueName",groupStr ]
	    AdminTask.removeMemberFromGroup(appOptions)
	    print "Removed member from group " +  userName06JoeyCustomer
	    appOptions = ["-uniqueName", userStr4]
	    AdminTask.deleteUser(appOptions)
	    print "Deleted user " +  userName06JoeyCustomer
	    groupStr = AdminTask.searchGroups(attrGrp)
	    appOptions = ["-uniqueName",groupStr ]
	    AdminTask.deleteGroup(appOptions)
	    print "Deleted group " +  groupNameJamesJoeyCustomer
	else :
	    print "User " + userName06JoeyCustomer + " does not exist"

	attrName5 = ["-uid",userName01AdamAgent]
	if(len(AdminTask.searchUsers(attrName5)) > 1):
	    print "Deleting user with group " +  userName01AdamAgent
	    userStr5 =  AdminTask.searchUsers(attrName5)
	    attrGrp = ["-cn",groupNameAdamAgent]
	    groupStr = AdminTask.searchGroups(attrGrp)
	    appOptions = ["-memberUniqueName", userStr5,"-groupUniqueName",groupStr ]
	    AdminTask.removeMemberFromGroup(appOptions)
	    print "Removed member "  +  userName01AdamAgent + " from group"
	    appOptions = ["-uniqueName", userStr5]
	    AdminTask.deleteUser(appOptions)
	    print "Deleted user " +  userName01AdamAgent
	    groupStr = AdminTask.searchGroups(attrGrp)
	    appOptions = ["-uniqueName",groupStr ]
	    AdminTask.deleteGroup(appOptions)
	    print "Deleted group " +  groupNameAdamAgent
	else :
	    print "User " + userName01AdamAgent + " does not exist" 

	attrName6 = ["-uid",userName02JayLoanOfficer]
	if(len(AdminTask.searchUsers(attrName6)) > 1):
	    print "Deleting user with group " +  userName02JayLoanOfficer
	    userStr6 =  AdminTask.searchUsers(attrName6)
	    attrGrp = ["-cn",groupNameJayLoanOfficer]
	    groupStr = AdminTask.searchGroups(attrGrp)
	    appOptions = ["-memberUniqueName", userStr6,"-groupUniqueName",groupStr ]
	    AdminTask.removeMemberFromGroup(appOptions)
	    print "Removed member from group " +  userName02JayLoanOfficer
	    appOptions = ["-uniqueName", userStr6]
	    AdminTask.deleteUser(appOptions)
	    print "Deleted user " +  userName02JayLoanOfficer
	    groupStr = AdminTask.searchGroups(attrGrp)
	    appOptions = ["-uniqueName",groupStr ]
	    AdminTask.deleteGroup(appOptions)
	    print "Deleted group " +  groupNameJayLoanOfficer
	else :
	    print "User " + userName02JayLoanOfficer + " does not exist"

except :
        print "Exception:Error occured while deleting users, groups and their mapping "
        sys.stderr.write("Error occured while deleting users, groups and their mapping ")
        raise
        	
AdminConfig.save()
#########################################################################
#########################################################################
# Monitor Model Role Mapping removal begins.
#########################################################################

AdminControl.trace( 'com.ibm.wbimonitor.*=all=enabled' )  

rest_mbean = RESTSecurityAdminMBeanFactory.getMBean( AdminControl.getAdminClient() )
print 'RESTSecurityAdminMBean.toString=' + rest_mbean.toString()

#The return type is a boolean 'true' or 'false'


result = rest_mbean.removeRole("uid="+userName01AdamAgent+",o=defaultWIMFileBasedRealm","Business-Manager","root")
if (result==1) :
    print "User "+ userName01AdamAgent + "successfully unmapped from role Business-Manager" 
else :
    print "Failed to unmap user " + userName01AdamAgent + "to role Business-Manager"

result = rest_mbean.removeRole("uid="+userName01AdamAgent+",o=defaultWIMFileBasedRealm","Personal-KPI-Administrator","root")
if (result==1) :
    print "User "+ userName01AdamAgent + "successfully unmapped from role Personal-KPI-Administrator" 
else :
    print "Failed to unmap user " + userName01AdamAgent + "to role Personal-KPI-Administrator"

result = rest_mbean.removeRole("uid="+userName01AdamAgent+",o=defaultWIMFileBasedRealm","Public-KPI-Administrator","root")
if (result==1) :
    print "User "+ userName01AdamAgent + "successfully unmapped from role Public-KPI-Administrator" 
else :
    print "Failed to unmap user " + userName01AdamAgent + "to role Public-KPI-Administrator"

result = rest_mbean.removeRole("uid="+userName01AdamAgent+",o=defaultWIMFileBasedRealm","KPI-Administrator","root")
if (result==1) :
    print "User "+ userName01AdamAgent + "successfully unmapped from role KPI-Administrator" 
else :
    print "Failed to unmap user " + userName01AdamAgent + "to role KPI-Administrator"




result = rest_mbean.removeRole("uid="+userName02JayLoanOfficer+",o=defaultWIMFileBasedRealm","Business-Manager","root")
if (result==1) :
    print "User "+ userName02JayLoanOfficer + "successfully unmapped from role Business-Manager" 
else :
    print "Failed to unmap user " + userName02JayLoanOfficer + "to role Business-Manager"

result = rest_mbean.removeRole("uid="+userName02JayLoanOfficer+",o=defaultWIMFileBasedRealm","Personal-KPI-Administrator","root")
if (result==1) :
    print "User "+ userName02JayLoanOfficer + "successfully unmapped from role Personal-KPI-Administrator" 
else :
    print "Failed to unmap user " + userName02JayLoanOfficer + "to role Personal-KPI-Administrator"

result = rest_mbean.removeRole("uid="+userName02JayLoanOfficer+",o=defaultWIMFileBasedRealm","Public-KPI-Administrator","root")
if (result==1) :
    print "User "+ userName02JayLoanOfficer + "successfully unmapped from role Public-KPI-Administrator" 
else :
    print "Failed to unmap user " + userName02JayLoanOfficer + "to role Public-KPI-Administrator"

result = rest_mbean.removeRole("uid="+userName02JayLoanOfficer+",o=defaultWIMFileBasedRealm","KPI-Administrator","root")
if (result==1) :
    print "User "+ userName02JayLoanOfficer + "successfully unmapped from role KPI-Administrator" 
else :
    print "Failed to unmap user " + userName02JayLoanOfficer + "to role KPI-Administrator"




result = rest_mbean.removeRole("uid="+userName03PeterUnderWriter+",o=defaultWIMFileBasedRealm","Business-Manager","root")
if (result==1) :
    print "User "+ userName03PeterUnderWriter + "successfully unmapped from role Business-Manager" 
else :
    print "Failed to unmap user " + userName03PeterUnderWriter + "to role Business-Manager"

result = rest_mbean.removeRole("uid="+userName03PeterUnderWriter+",o=defaultWIMFileBasedRealm","Personal-KPI-Administrator","root")
if (result==1) :
    print "User "+ userName03PeterUnderWriter + "successfully unmapped from role Personal-KPI-Administrator" 
else :
    print "Failed to unmap user " + userName03PeterUnderWriter + "to role Personal-KPI-Administrator"

result = rest_mbean.removeRole("uid="+userName03PeterUnderWriter+",o=defaultWIMFileBasedRealm","Public-KPI-Administrator","root")
if (result==1) :
    print "User "+ userName03PeterUnderWriter + "successfully unmapped from role Public-KPI-Administrator" 
else :
    print "Failed to unmap user " + userName03PeterUnderWriter + "to role Public-KPI-Administrator"

result = rest_mbean.removeRole("uid="+userName03PeterUnderWriter+",o=defaultWIMFileBasedRealm","KPI-Administrator","root")
if (result==1) :
    print "User "+ userName03PeterUnderWriter + "successfully unmapped from role KPI-Administrator" 
else :
    print "Failed to unmap user " + userName03PeterUnderWriter + "to role KPI-Administrator"




result = rest_mbean.removeRole("uid="+userName04SusanUnderWriter+",o=defaultWIMFileBasedRealm","Business-Manager","root")
if (result==1) :
    print "User "+ userName04SusanUnderWriter + "successfully unmapped from role Business-Manager" 
else :
    print "Failed to unmap user " + userName04SusanUnderWriter + "to role Business-Manager"

result = rest_mbean.removeRole("uid="+userName04SusanUnderWriter+",o=defaultWIMFileBasedRealm","Personal-KPI-Administrator","root")
if (result==1) :
    print "User "+ userName04SusanUnderWriter + "successfully unmapped from role Personal-KPI-Administrator" 
else :
    print "Failed to unmap user " + userName04SusanUnderWriter + "to role Personal-KPI-Administrator"

result = rest_mbean.removeRole("uid="+userName04SusanUnderWriter+",o=defaultWIMFileBasedRealm","Public-KPI-Administrator","root")
if (result==1) :
    print "User "+ userName04SusanUnderWriter + "successfully unmapped from role Public-KPI-Administrator" 
else :
    print "Failed to unmap user " + userName04SusanUnderWriter + "to role Public-KPI-Administrator"

result = rest_mbean.removeRole("uid="+userName04SusanUnderWriter+",o=defaultWIMFileBasedRealm","KPI-Administrator","root")
if (result==1) :
    print "User "+ userName04SusanUnderWriter + "successfully unmapped from role KPI-Administrator" 
else :
    print "Failed to unmap user " + userName04SusanUnderWriter + "to role KPI-Administrator"




result = rest_mbean.removeRole("uid="+userName05JamesCustomer+",o=defaultWIMFileBasedRealm","Business-Manager","root")
if (result==1) :
    print "User "+ userName05JamesCustomer + "successfully unmapped from role Business-Manager" 
else :
    print "Failed to unmap user " + userName05JamesCustomer + "to role Business-Manager"

result = rest_mbean.removeRole("uid="+userName05JamesCustomer+",o=defaultWIMFileBasedRealm","Personal-KPI-Administrator","root")
if (result==1) :
    print "User "+ userName05JamesCustomer + "successfully unmapped from role Personal-KPI-Administrator" 
else :
    print "Failed to unmap user " + userName05JamesCustomer + "to role Personal-KPI-Administrator"

result = rest_mbean.removeRole("uid="+userName05JamesCustomer+",o=defaultWIMFileBasedRealm","Public-KPI-Administrator","root")
if (result==1) :
    print "User "+ userName05JamesCustomer + "successfully unmapped from role Public-KPI-Administrator" 
else :
    print "Failed to unmap user " + userName05JamesCustomer + "to role Public-KPI-Administrator"

result = rest_mbean.removeRole("uid="+userName05JamesCustomer+",o=defaultWIMFileBasedRealm","KPI-Administrator","root")
if (result==1) :
    print "User "+ userName05JamesCustomer + "successfully unmapped from role KPI-Administrator" 
else :
    print "Failed to unmap user " + userName05JamesCustomer + "to role KPI-Administrator"



result = rest_mbean.removeRole("uid="+userName06JoeyCustomer+",o=defaultWIMFileBasedRealm","Business-Manager","root")
if (result==1) :
    print "User "+ userName06JoeyCustomer + "successfully unmapped from role Business-Manager" 
else :
    print "Failed to unmap user " + userName06JoeyCustomer + "to role Business-Manager"

result = rest_mbean.removeRole("uid="+userName06JoeyCustomer+",o=defaultWIMFileBasedRealm","Personal-KPI-Administrator","root")
if (result==1) :
    print "User "+ userName06JoeyCustomer + "successfully unmapped from role Personal-KPI-Administrator" 
else :
    print "Failed to unmap user " + userName06JoeyCustomer + "to role Personal-KPI-Administrator"

result = rest_mbean.removeRole("uid="+userName06JoeyCustomer+",o=defaultWIMFileBasedRealm","Public-KPI-Administrator","root")
if (result==1) :
    print "User "+ userName06JoeyCustomer + "successfully unmapped from role Public-KPI-Administrator" 
else :
    print "Failed to unmap user " + userName06JoeyCustomer + "to role Public-KPI-Administrator"

result = rest_mbean.removeRole("uid="+userName06JoeyCustomer+",o=defaultWIMFileBasedRealm","KPI-Administrator","root")
if (result==1) :
    print "User "+ userName06JoeyCustomer + "successfully unmapped from role KPI-Administrator" 
else :
    print "Failed to unmap user " + userName06JoeyCustomer + "to role KPI-Administrator"
#########################################################################
# Monitor Model Role Mapping removed.
#########################################################################
# End of file.
#########################################################################